Subject: Re: bug#67533: SVG images confound position pixel measurements

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Dec 2023 18:31:18 +0200

> Cc: [email-masked]
> Date: Sun, 03 Dec 2023 17:52:12 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: JD Smith <[email-masked]>
> > Date: Sun, 3 Dec 2023 10:48:20 -0500
> > Cc: [email-masked]
> > 
> > > The cumulative patch below should fix all the problems you threw on me
> > > till now.
> > 
> > Most excellent, thank you for the sleuthing Eli!  Your roll-up patch applies cleanly and fixes all the pixel size related issues in my large complex org-with-latex-preview file.  I can induce the same behavior in my original svg-generating code by bumping the default width up to:
> > 
> >       (w (+ 142 (* 2 (round (expt (1+ r) 1.25)))))
> > 
> > and it solves it there too. (I’ve updated the gist to do this, and included the final function below, for posterity).
> 
> Thanks, I will install the changes (on master) soon.

Now done.

Is there anything else to do here, or can we close this bug?

Thanks.